Google Business · Google Business Reviews

Get a review

Fetches a review.

GEThttps://api.pozy.ai/v1/accounts/{accountId}/gmb-reviews/{reviewId}
getGoogleBusinessReview

Guide: Google reviews

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the engagement resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
accountIdrequiredstring
reviewIdrequiredstring

Query parameters

NameTypeNotes
locationIdstring

Example

curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/gmb-reviews/600ff998e1bb2987295e299e" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • successboolean
  • accountIdstring
  • locationIdstring
  • reviewobject
    11 child fields
    • idstring
    • namestring
    • reviewerobject
      3 child fields
      • displayNamestring
      • profilePhotoUrlstring

        Can be null.

      • isAnonymousboolean
    • ratinginteger

      0 to 5.

    • starRatingstring

      One of ONE, TWO, THREE, FOUR, FIVE.

    • commentstring
    • createTimestring (date-time)
    • updateTimestring (date-time)
    • reviewReplyobject

      Can be null.

      2 child fields
      • commentstring
      • updateTimestring (date-time)
    • photoCountinteger
    • photosarray of object
      1 child field
      • urlstring (URL)
200 response
{
  "success": true,
  "accountId": "696e0b682d0a31188e7a2ba9",
  "locationId": "6e99c3dd69982b334a43b0b2",
  "review": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "name": "Acme",
    "reviewer": {
      "displayName": "Acme",
      "profilePhotoUrl": "https://pozy.ai/media/example-1.jpg",
      "isAnonymous": true
    },
    "rating": 1,
    "starRating": "ONE",
    "comment": "string",
    "createTime": "2026-10-02T09:00:00.000Z",
    "updateTime": "2026-10-02T09:00:00.000Z",
    "reviewReply": {
      "comment": "string",
      "updateTime": "2026-10-02T09:00:00.000Z"
    },
    "photoCount": 42,
    "photos": [
      {
        "url": "https://pozy.ai/media/example-1.jpg"
      }
    ]
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Google Business Reviews